BasePluginExtension (Gradle API 7.6.3)

Package org.gradle.api.plugins

## Interface BasePluginExtension

-     public interface BasePluginExtension

  An extension used for `BasePlugin`.

  Replaces `BasePluginConvention`.

  Since:
    7.1

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getArchivesBaseName()` | Deprecated. Use `getArchivesName()`.
    `Property<java.lang.String>` | `getArchivesName()` | The base name to use for archive files.
    `DirectoryProperty` | `getDistsDirectory()` | Returns the directory to generate TAR and ZIP archives into.
    `java.lang.String` | `getDistsDirName()` | Deprecated. Use `getDistsDirectory()`.
    `DirectoryProperty` | `getLibsDirectory()` | Returns the directory to generate JAR and WAR archives into.
    `java.lang.String` | `getLibsDirName()` | Deprecated. Use `getLibsDirectory()`.
    `void` | `setArchivesBaseName​(java.lang.String archivesBaseName)` | Deprecated. Use `getArchivesName()`.
    `void` | `setDistsDirName​(java.lang.String distsDirName)` | Deprecated. Use `getDistsDirectory()`.
    `void` | `setLibsDirName​(java.lang.String libsDirName)` | Deprecated. Use `getLibsDirectory()`.

- - ### Method Detail

    - #### getDistsDirectory

          DirectoryProperty getDistsDirectory()

      Returns the directory to generate TAR and ZIP archives into.
      Returns:
        The directory. Never returns null.

    - #### getLibsDirectory

          DirectoryProperty getLibsDirectory()

      Returns the directory to generate JAR and WAR archives into.
      Returns:
        The directory. Never returns null.

    - #### getArchivesName

          Property<java.lang.String> getArchivesName()

      The base name to use for archive files.

    - #### getDistsDirName

          @Deprecated
          java.lang.String getDistsDirName()

      Deprecated.
      Use `getDistsDirectory()`. This method is scheduled for removal in Gradle 8.0.
      This method is only here to maintain compatibility with existing builds.

    - #### setDistsDirName

          @Deprecated
          void setDistsDirName​(java.lang.String distsDirName)

      Deprecated.
      Use `getDistsDirectory()`. This method is scheduled for removal in Gradle 8.0.
      This method is only here to maintain compatibility with existing builds.

    - #### getLibsDirName

          @Deprecated
          java.lang.String getLibsDirName()

      Deprecated.
      Use `getLibsDirectory()`. This method is scheduled for removal in Gradle 8.0.
      This method is only here to maintain compatibility with existing builds.

    - #### setLibsDirName

          @Deprecated
          void setLibsDirName​(java.lang.String libsDirName)

      Deprecated.
      Use `getLibsDirectory()`. This method is scheduled for removal in Gradle 8.0.
      This method is only here to maintain compatibility with existing builds.

    - #### getArchivesBaseName

          @Deprecated
          java.lang.String getArchivesBaseName()

      Deprecated.
      Use `getArchivesName()`. This method is scheduled for removal in Gradle 8.0.
      This method is only here to maintain compatibility with existing builds.

    - #### setArchivesBaseName

          @Deprecated
          void setArchivesBaseName​(java.lang.String archivesBaseName)

      Deprecated.
      Use `getArchivesName()`. This method is scheduled for removal in Gradle 8.0.
      This method is only here to maintain compatibility with existing builds.